#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           aqfinance
Version:	0.9.108
Release:	1.11
License:	GPL-2.0
Summary:	A graphical finance manager
Url:		http://www.aquamaniac.de/sites/aqfinance/
Group:		Productivity/Office/Finance
Source:		%{name}-%{version}beta.tar.gz
Patch:		%{name}-Makefile-whitespace-fix.patch
BuildRequires:	gcc-c++ aqbanking-devel >= 5.0.0 gwenhywfar-devel >= 4.9.0 cairo-devel aqdatabase-devel >= 0.9.1 aqfoxext-devel fox16-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	libgwenhywfar60-plugins >= 4.9.0

%description
AQFinance is a graphical finance manager designed to work with
aqbanking.

%package devel
Summary:	Development files for aqfinance
Group:		Development/Libraries
Requires:	%{name} >= %{version}
Requires:	lib%{name}0 = %{version}

%description devel
Development files for libaqfinance, a library used by aqfinance

%package -n lib%{name}0
Summary:	Library for aqfinance
Group:		System/Libraries/C and C++

%description -n lib%{name}0
Library used by aqfinance, a graphical finance manager designed
to work with aqbanking

%prep
%setup -q -n %{name}-%{version}beta
%patch -p1

%build
%configure \
	--enable-gwenhywfar \
	--enable-aqbanking \
	--enable-fox \
	--enable-cairo \
	--enable-release
make build_sources
make %{?_smp_mflags}

%install
%make_install
rm $RPM_BUILD_ROOT%{_libdir}/lib%{name}.{a,la}
%find_lang %{name}

%post -n lib%{name}0
/sbin/ldconfig

%postun -n lib%{name}0
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_datadir}/aclocal/%{name}.m4

%files -n lib%{name}0
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%changelog
* Thu Jan 23 2014 jcnengel@gmail.com
- Enable GUI build by fixing dependency issue
* Mon Jan 13 2014 jcnengel@gmail.com
- Update to 0.9.108
* Tue Jan  7 2014 jcnengel@gmail.com
- Initial checkin
